Page MenuHomePhabricator

[2 hours] PagePreviews `totalInteractionTime` for `opened` event is calculated incorrectly
Closed, ResolvedPublic

Description

Total interaction time for events dismissed and dwelledButAbandoned is calculated correctly, but for totalInteractionTime for opened event looks pretty random and I cannot find any correlation between my actions and logged value.

Scenario 1

Action: Go to page, hover a link, open a link in new tab using CTRL+Click before popup is visible,
totalInteractionTime: 37

Scenario 2

Action: Go to page, wait 15 seconds, hover a link, wait for popup to be visible, open link using CTRL+Click
totalInteractionTime: 53

Scenario 3

Action: Fo to page, hover a link, read popup for 15 seconds, open link in new tab using CTRL+Click
totalInteractionTime: 34

Scenario 4

Action: go to page, hover a link, read popup, move mouse over popup, move mouse back over a link and open in new tab using CTRL+Click
totalInteractionTime: 46

Value in totalInteractionTime doesn't have sense, it should be the total time (in milliseconds) the link was hovered on
All scenarios tested on Firefox 51, some on Chrome 56 (same behavior)

Event Timeline

pmiazga created this task.Mar 3 2017, 3:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2017, 3:58 PM
ovasileva triaged this task as High priority.Mar 6 2017, 3:14 PM
ovasileva added a subscriber: ovasileva.

@pmiazga - were you testing on production?

pmiazga updated the task description. (Show Details)Mar 8 2017, 5:15 PM
pmiazga updated the task description. (Show Details)Mar 8 2017, 5:18 PM
phuedx added a subscriber: phuedx.EditedMar 8 2017, 5:23 PM

I suspect that at least the last scenario will be fixed by T159490#3079525. I suggest that we wait until that one is ironed out and then spend a fixed amount of time debugging this one.

Given T159539#3084631, does it make sense to work on the task now?

@bmansurov: I think it'd be good to get a handle on what's going on sooner rather than later. Given that T159490: PagePreviews events system sends duplicate and incorrect events is currently related to edge cases in interactions, I think that it's safe to start investigating. Obviously, if something is seriously wrong then make it known!

Does this need estimation?

bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-95 board.
bmansurov renamed this task from PagePreviews `totalInteractionTime` for `opened` event is calculated incorrectly to [2 hours] PagePreviews `totalInteractionTime` for `opened` event is calculated incorrectly.Apr 13 2017, 5:15 PM

Tested against the latest master. None of the scenarios are happening on Chromium 57.0.2987.133 and Firefox 52.0.2. I however discovered T162924.

bmansurov reassigned this task from bmansurov to Jdlrobson.Apr 13 2017, 6:21 PM

@phuedx - we weren't sure if this is ready to resolve - could you sign it off if no other testing is needed?

Jdlrobson reassigned this task from Jdlrobson to phuedx.Apr 17 2017, 7:50 PM
Jdlrobson added a subscriber: Jdlrobson.

also I'm not in the right headspace to sign this off right now.. despite your involvement @phuedx I think you'd be better off at signing this off than me right now.

phuedx closed this task as Resolved.Apr 18 2017, 11:07 AM

Per T159539#3179768.

I'm closing this as "Resolved" rather than "Invalid" because I'm fairly confident that these scenarios existed and were fixed by changes made for T159490: PagePreviews events system sends duplicate and incorrect events.